define(
    [
        'uiComponent',
        'Magento_Checkout/js/model/payment/renderer-list'
    ],
    function (
        Component,
        rendererList
    ) {
        'use strict';
        rendererList.push(
            {
                type: 'payshop_card',
                component: 'Payshop_Core/js/view/payment/method-renderer/card'
            }
        );
        rendererList.push(
            {
                type: 'payshop_mbway',
                component: 'Payshop_Core/js/view/payment/method-renderer/mbway'
            }
        );
        rendererList.push(
            {
                type: 'payshop_payshop_reference',
                component: 'Payshop_Core/js/view/payment/method-renderer/payshop-referece'
            }
        );
        rendererList.push(
            {
                type: 'payshop_multibanco_reference',
                component: 'Payshop_Core/js/view/payment/method-renderer/multibanco-referece'
            }
        );

        return Component.extend({});
    }
);
